extends Node
func _ready ():
	start_build()
var game_time := 0.0 #aktualny czas w grze
var build_duration := 10.0
var finish_time := 0.0
var is_building := false

func _process(delta):
	game_time += delta * Settings.time_scale
	#print(now())
	
	if is_building:
		if game_time >= finish_time:
			finish_building()

func now() -> float:
	return game_time
	
func start_build():
	# ustawiamy czas zakończenia budowy na current_time + build_duration
	finish_time = game_time + build_duration
	is_building = true
	print("Budowa rozpoczęta. Zakończy się o czasie:", finish_time)
	
	
func finish_building():
	is_building = false
	print("Budowa zakończona w czasie gry:", game_time)
	
